part of snowm_scanner;

class TelemetryPacket {
  TelemetryPacket({
    this.rawData,
    this.uuid,
    this.battery,
  });

  String rawData;
  String uuid;
  String battery;

  static TelemetryPacket _parse(args) {
    var packet = TelemetryPacket()..rawData = args["rawData"];
    if (Platform.isIOS) {
      var uuidBatteryData = args["uuidBatteryData"]
          .toString()
          .replaceAll("[", "")
          .replaceAll("]", "");
      var splits = uuidBatteryData.split('":');
      packet.uuid = splits.first.replaceAll('"', "").trim();
      packet.battery = splits[1].replaceAll('"', "").trim();
    } else {
      var uuidBatteryData = args["uuidBatteryData"]
          .toString()
          .replaceAll("{", "")
          .replaceAll("}", "");
      var splits = uuidBatteryData.split('=');
      packet.uuid = splits.first..trim();
      packet.battery = splits[1].trim();
    }
    return packet;
  }

  Map<String, dynamic> toMap() => {
        "rawData": rawData,
        "uuid": uuid,
        "battery": battery,
      };
}
